<?php
defined('IN_WEB') or die('Include Error!');

/**
* 邀请相关
*/
class Invite
{
	/**
	 * 获取邀请ID
	 * @param $param
	 * @return string
	 */
	public function getInviteID($param) {
		$data = array('code' => 1, 'id' => 0, 'sk' => '');

		$uid   = oo::functions()->uint($param['uid']);
		if (empty($uid)) {
			$data['code'] = -1;
			$array['line'] = __LINE__;
			return json_encode($data);
		}

		$data['u'] = $uid;
		$data['id'] = oo::commonOprModel('invite')->getInviteID($uid);
		$data['sk'] = oo::commonOprModel('invite')->getInviteSkey($uid, $data['id']);
		return json_encode($data);
	}

	/**
	 * 上报邀请好友信息
	 * @param $param
	 */
	public function report($param){
		$arr = array('code' => 0);

		$uid = oo::functions()->uint($param['uid']);
		$data = isset($param['data']) ? oo::functions()->escape($param['data']) : '';
		$list = isset($param['list']) ? oo::functions()->escape($param['list']) : '';
		$source = isset($param['source']) ? oo::functions()->escape($param['source']) : '';
		$requestid = isset($param['requestid']) ? oo::functions()->escape($param['requestid']) : '';

		if( empty($uid) || empty($data) || empty($list) || empty($source) || empty($requestid) ){
			$arr['code'] = -1;
			oo::logs()->debug3(json_encode(array('uid' => $uid, 'data' => $data, 'list' => $list, 'source' => $source, 'requestid' => $requestid)),'InviteReportErr.log');
			return json_encode($arr);
		}
		$rs = oo::commonOprModel('invite')->report($param);
		return $rs;
	}

	/**
	 * 给好友发送邀请奖励
	 * @param $param
	 */
	public function update($param){
		$arr = array('code' => 1);

		$uid = oo::functions()->uint($param['uid']);
		$data = isset($param['data']) ? oo::functions()->escape($param['data']) : '';

		if( empty($uid) || empty($data) ){
			$arr['code'] = -1;
			oo::logs()->debug3(array('uid' => $uid, 'data' => $data),'InviteReportErr.log');
			return json_encode($arr);
		}

		$rs = oo::commonOprModel('invite')->update($param);
		return $rs;
	}


}